Skip to main content
GET
Get a SIP Trunk

Authorizations

X-API-Key
string
header
required

Path Parameters

account_id
string
required

ID of the account that owns the SIP Trunk.

trunk_id
string
required

The SIP Trunk ID.

Response

The SIP Trunk.

A SIP Trunk.

id
string
required

PolyAI-generated SIP Trunk ID, e.g. tr-0123456789abcdefghijklmn.

account_id
string
required

The PolyAI account that owns the SIP Trunk.

sip_cidr
string[]
required

The IPv4 CIDR blocks of your SIP servers.

rtp_cidr
string[]
required

The IPv4 CIDR blocks of your RTP / media servers.

name
string
required

A friendly name to help identify your SIP Trunk.

encrypted
boolean
required

Whether this SIP Trunk will handle encrypted (true; SIP over TCP/TLS, media over UDP/SRTP) or unencrypted (false; SIP over UDP, media over UDP/RTP) calls.

inbound
object
required

Configuration for inbound calls.

created_at
string<date-time>
required

RFC 3339 timestamp of when the SIP Trunk was created.

updated_at
string<date-time>
required

RFC 3339 timestamp of when the SIP Trunk was last updated.

outbound
object

Configuration for outbound calls leaving PolyAI.

Last modified on July 30, 2026